"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xstream_1 = require("xstream");
function xsFromCallback(api) {
    return (...args) => xstream_1.default.create({
        start(listener) {
            let replied = false;
            api(...args, (err, data) => {
                if (replied) {
                    console.warn('xstream-from-callback got multiple replies', err, data, api);
                    return;
                }
                replied = true;
                if (err === true) {
                    listener.complete();
                }
                else if (err) {
                    listener.error(err);
                }
                else {
                    listener.next(data);
                }
            });
        },
        stop() { },
    });
}
exports.default = xsFromCallback;
//# sourceMappingURL=index.js.map